lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name    = "fluent-plugin-containiq"
  spec.version = "1.0.3"
  spec.authors = ["ContainIQ"]
  spec.email   = ["matt@containiq.com"]

  spec.summary       = "Fluentd output plugin that pushes logs to ContainIQ"
  spec.description   = "Fluentd output plugin that pushes logs to ContainIQ"
  spec.homepage      = "https://www.containiq.com/"
  spec.license       = "Apache-2.0"

  test_files, files  = `git ls-files -z`.split("\x0").partition do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.files         = files
  spec.executables   = files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = test_files
  spec.require_paths = ["lib"]

  spec.add_dependency 'net-http-persistent', '~> 4.0.1'
  spec.add_development_dependency "bundler", "~> 2.3.7"
  spec.add_development_dependency "rake", "~> 13.0.6"
  spec.add_development_dependency "test-unit", "~> 3.4.7"
  spec.add_development_dependency "webmock", "~> 3.14.0"
  spec.add_runtime_dependency "fluentd", [">= 0.14.10", "< 2"]
end
